Skip to main content
`Ctrl`+`K`

# global_parameters

global_parameters(b, c)

  Returns global parameters for a given intersection array.

  Given a distance-regular graph G with integers b_i, c_i,i = 0,….,d such that for any 2 vertices x,y in G at a distance i=d(x,y), there are exactly c_i neighbors of y at a distance of i-1 from x and b_i neighbors of y at a distance of i+1 from x.

  Thus, a distance regular graph has the global parameters, [[c_0,a_0,b_0],[c_1,a_1,b_1],……,[c_d,a_d,b_d]] for the intersection array [b_0,b_1,…..b_{d-1};c_1,c_2,…..c_d] where a_i+b_i+c_i=k , k= degree of every vertex.

  Parameters:
    b list
    c list
  Returns:
    iterable

      An iterable over three tuples.

  See also

  `intersection_array`

  References

  [1]

  Weisstein, Eric W. “Global Parameters.” From MathWorld–A Wolfram Web Resource. http://mathworld.wolfram.com/GlobalParameters.html

  Examples

      >>> G = nx.dodecahedral_graph()
      >>> b, c = nx.intersection_array(G)
      >>> list(nx.global_parameters(b, c))
      [(0, 0, 3), (1, 0, 2), (1, 1, 1), (1, 1, 1), (2, 0, 1), (3, 0, 0)]